kanimwidget.h
/* This file is part of the KDE libraries
Copyright (C) 2000 Kurt Granroth <granroth@kde.org>
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License version 2 as published by the Free Software Foundation.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef _KANIMWIDGET_H
#define _KANIMWIDGET_H
#include <qframe.h>
#include <kdelibs_export.h>
class QStringList;
class QPainter;
class QMouseEvent;
class KAnimWidgetPrivate;
class KDEUI_EXPORT KAnimWidget : public QFrame
{
Q_OBJECT
Q_PROPERTY( int size READ size WRITE setSize )
Q_PROPERTY( QString icons READ icons WRITE setIcons )
public:
KAnimWidget( const QString& icons, int size = 0,
QWidget *parent = 0L, const char *name = 0L );
virtual ~KAnimWidget();
void setSize( int size );
int size() const;
QString icons() const;
void setIcons( const QString& icons );
public slots:
void start();
void stop();
signals:
void clicked();
protected:
virtual void drawContents( QPainter *p );
virtual void leaveEvent( QEvent *e );
virtual void enterEvent( QEvent *e );
virtual void hideEvent( QHideEvent *e);
virtual void showEvent( QShowEvent *e);
virtual void mousePressEvent( QMouseEvent *e );
virtual void mouseReleaseEvent( QMouseEvent *e );
protected slots:
void slotTimerUpdate();
void updateIcons();
protected:
virtual void virtual_hook( int id, void* data );
private:
KAnimWidgetPrivate *d;
};
#endif // _KANIMWIDGET_H
KAnimWidget
Standard "About KDE" dialog box.
Definition: kanimwidget.h:55

KDE Home | KDE Accessibility Home | Description of Access Keys